! gtool_attribute.f90 - gtool4 file interface
! Copyright (C) by TOYODA Eizi, 2000.  All rights reserved.
! vi: set sw=4 ts=8:

module gtool_error 

    use dc_string
    use netcdf_error
    implicit none

    private
    public:: GtoolAssert, GtoolSaveError

    integer, save:: saved_error_code = 0
    type(VARYING_STRING), save:: saved_error_location 

    integer, parameter:: GT_ENOMEM = -100

    interface GtoolSaveError
	module procedure save_error_int
    end interface

contains

    subroutine GtoolAssert(where)
	type(VARYING_STRING), intent(in), optional:: where
	type(NC_ERROR):: ncerr
    continue
	ncerr = NetcdfLastError()
	call Assert(ncerr)
    end subroutine

    subroutine save_error_int(status, where, cause)
	integer, intent(in):: status
	character(len = *), intent(in):: where
	character(len = *), intent(in):: cause
    continue
	call NetcdfSaveError(status, where, cause)
    end subroutine

end module
